Bug 126025 - RFE: empty trash item on trash icon context menu should replace "move to trash"
RFE: empty trash item on trash icon context menu should replace "move to trash"
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2004-06-15 09:04 EDT by Motor
Modified: 2013-03-05 22:40 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-04-29 17:19:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Motor 2004-06-15 09:04:35 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040510 Galeon/1.3.14

Description of problem:
Right clicking on Nautilus' desktop wastebasket icon pops up a menu
containing a "Move to Wastebasket" option, just like every other icon.
Which seems to make no sense at all -- even if you wanted to remove
the wastebasket icon from the desktop.

This would be much better as an "Empty Wastebasket" option, so you
could avoid having to open the basket just to empty it.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Have Nautilus displaying the desktop
2. Right click wastebasket icon
3. See "Move to wastebasket" option.

Additional info:
Comment 1 Alexander Larsson 2004-10-05 09:00:59 EDT
Is the "Move to wastebasket" entry shaded for you? It is for me.
Comment 2 Motor 2004-10-05 10:48:18 EDT
No it's not shaded... I can select it and the wastebastket icon will,
sure enough, move into the .Trash directory. To be honest, I don't see
any point using shading  on it (even if it worked on mine)... because
it'll never make any sense to enable it. So it shouldn't be there at all.
Comment 3 Alexander Larsson 2004-10-08 05:48:06 EDT
Its shaded in FC3. Its debatable wheter it should be removed of
shaded. Context menu items generally shade unavailible items unless
they are always unavailible in that context. However, exactly what the
context is here is questionable. Is it "a file" in general, or "this
file". Given that we change other things on a per-type case we seem to
be on the "this file" side. So, changing this to empty trash makes
sense to me.
Comment 4 Alexander Larsson 2004-10-08 05:49:55 EDT
Hmm. Well, we already have an empty trash, only its not in the same
Comment 5 Matthew Miller 2005-04-26 11:43:02 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 6 Motor 2005-04-29 17:15:31 EDT
I'm looking at an FC3 version of Nautilus, and the "Move to wastebasket" option
is still unshaded.

Comment 7 David Zeuthen 2005-04-29 17:19:18 EDT
I'm closing this as UPSTREAM, as requests like this really needs to be filed
upstream at http://bugzilla.gnome.org

Note You need to log in before you can comment on or make changes to this bug.